%global npm_name boom

Summary:       HTTP-friendly error objects
Name:          nodejs-%{npm_name}
Version:       2.8.0
Release:       1%{?dist}
License:       BSD
URL:           https://github.com/hapijs/boom
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
ExclusiveArch: %{nodejs_arches} noarch
BuildArch:     noarch
Provides:      nodejs-%{npm_name} = %{version}

%description
boom provides a set of utilities for returning HTTP errors. 
Each utility returns a Boom error response object 
(instance of Error) which includes the following properties:

 * isBoom - if true, indicates this is a Boom object instance.
 * isServer - convenience bool indicating status code >= 500.
 * message - the error message.
 * output - the formatted response. Can be directly manipulated 
     after object construction to return a custom error response. 
     Allowed root keys:
    * statusCode - the HTTP status code (typically 4xx or 5xx).
    * headers - an object containing any HTTP headers where each 
        key is a header name and value is the header content.
    * payload - the formatted object used as the response payload 
        (stringified). Can be directly manipulated but any changes 
        will be lost if reformat() is called. Any content allowed 
        and by default includes the following content:
      * statusCode - the HTTP status code, derived from error.output.statusCode.
      * error - the HTTP status message (e.g. 'Bad Request', 
          'Internal Server Error') derived from statusCode.
      * message - the error message derived from error.message.
  * inherited Error properties.

The Boom object also supports the following method:

  * reformat() - rebuilds error.output using the other object properties.


%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr images lib package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%files
%doc CONTRIBUTING.md LICENSE README.md test
%{nodejs_sitelib}/%{npm_name}

%changelog
* Fri Sep 11 2015 Troy Dawson <tdawson@redhat.com> - 2.8.0-1
- Initial package
